Bug 177212 - Refactor/Rename doesn't work within overriden function
Refactor/Rename doesn't work within overriden function
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Unsupported
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: J Bachorik
issues@javafx
68patch1-verified
: RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-19 08:24 UTC by Andrei Chistiakov
Modified: 2010-01-28 03:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
sample app (9.24 KB, application/zip)
2009-11-19 08:24 UTC, Andrei Chistiakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Chistiakov 2009-11-19 08:24:05 UTC
Created attachment 91356 [details]
sample app

Product Version: NetBeans IDE Dev (Build 200911190201)
Java: 1.6.0_16; Java HotSpot(TM) Client VM 14.2-b01
System: Windows XP version 5.1 running on x86; Cp1251; ru_RU (nb)

To reproduce:
- open the attached project
- open NewJavaDXClass.fx
- refactor/rename NewJavaFXClass class name to NewJavaFXClass1
- build the project

C:\MyProjects\JavaFXApplication3\src\javafxapplication3\Main.fx:14: cannot find symbol
symbol  : class NewJavaFXClass
location: class NewJavaFXClass1$anon1
                    var d = NewJavaFXClass {};
1 error
ERROR: javafxc execution failed, exit code: 1
C:\MyProjects\JavaFXApplication3\nbproject\build-impl.xml:143: exec returned: -1
BUILD FAILED (total time: 0 seconds)
Comment 1 Lukas Hasik 2009-11-26 06:41:48 UTC
Jardo, it seems that the "Find Usages" and "Refactor > Rename" isn't reliable in some cases. It's worth to include some message about it in release notes. Easily reproducible when I verified #148890
Comment 2 J Bachorik 2009-12-10 03:04:56 UTC
fixed by dropping TreePathHandle abstraction (http://hg.netbeans.org/javafx/rev/31392448427c)
Comment 3 Alexandr Scherbatiy 2009-12-14 02:28:21 UTC
verified in NetBeans-JavaFX-Soma:  #65
Comment 4 rbalada 2010-01-27 07:21:14 UTC
The changeset http://hg.netbeans.org/javafx/rev/31392448427c has been ported into release68_fixes branch as http://hg.netbeans.org/javafx/rev/a7a1c253ea2d
Comment 5 Alexandr Scherbatiy 2010-01-28 03:35:38 UTC
Verified in NB 6.8 Patch1 2010-01-28_00-36-51


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo